format_version: '1.0'


repository_url: https://github.com/openzfs/zfs
issue_url: https://github.com/openzfs/zfs/issues/453


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: f178ade
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: 0bd246f9c3a85621b3af03f90ef7c0bd1098f8ff
    - input_file: 'b-partial-2.diff'
      commit_sha1: 8d523a5f1783249245308447e668d85126dfedee
    - input_file: 'b-partial-3.diff'
      commit_sha1: a72616124c9f3b0f7cbc0846470377b4a749147f
    - input_file: 'b-partial-4.diff'
      commit_sha1: efb4636c5d3067d90c0352efe3a750fa467a0261
    - input_file: 'b-partial-5.diff'
      commit_sha1: 5300bd45a5bccab2d270517a7e0eca6924b6a952
    - input_file: 'b-partial-6.diff'
      commit_sha1: 373534da659d87834533138cf92886d4980d134c
    - input_file: 'b-partial-7.diff'
      commit_sha1: ddf4bdeb703b644704b7f3997e4ff557ffd3b1b5
    - input_file: 'b-partial-8.diff'
      commit_sha1: a7d6be620db604287396f4798ba3936c6efb2bce

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: 2d33ca8dde21de6b9f2bfdccd4ab8708ca4cdb47

options:
  language: C
